Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000950KdenliveFile Loadingpublic2009-06-22 03:462009-07-01 21:57
Reportergsking1 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.5Fixed in Version0.7.5 
Summary0000950: Crash when opening new project.
DescriptionGot a crash when..
Start a new project.
Save it.
Try to open an existing or new project and get a crash.
Both kdenlive and mlt are current SVN as of this morning.

This is the backtrace from the last time it happened.

Application that crashed: kdenlive
Version of the application: 0.7.4 (rev. 3615)
KDE Version: 4.2.90 (KDE 4.2.90 (KDE 4.3 Beta2))
Qt Version: 4.5.0
Operating System: Linux 2.6.29.5g2 i686
Distribution: Ubuntu 9.04

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 0 (LWP 13435)]

Thread 3 (Thread 0xaaf13b90 (LWP 13490)):
#0 0xb8093424 in __kernel_vsyscall ()
#1 0xb6621412 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb6728344 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb8086e29 in mlt_consumer_get_frame (this=0x979c138) at mlt_consumer.c:498
0000004 0xb80870b0 in mlt_consumer_rt_frame (this=0x979c138) at mlt_consumer.c:896
0000005 0xb59b7e6a in consumer_thread (arg=0x979c138) at consumer_sdl_still.c:562
0000006 0xb661d4ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000007 0xb671949e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xad5fdb90 (LWP 13491)):
#0 0xb8093424 in __kernel_vsyscall ()
#1 0xb66210e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb67282ed in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb59b74fc in consumer_thread (arg=0x97bc3c8) at consumer_sdl_preview.c:381
0000004 0xb661d4ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0xb671949e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb5c79920 (LWP 13435)):
[KCrash Handler]
0000006 DocClipBase::markerComment (this=0xb456740, t={m_time = 30.000011437125238, static s_delta = 1.0000000000000001e-05}) at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/definitions.h:145
0000007 0x080b6384 in Monitor::checkOverlay (this=0x96b1a98) at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/monitor.cpp:479
0000008 0x080b674c in Monitor::rendererStopped (this=0x96b1a98, pos=8943) at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/monitor.cpp:592
0000009 0x080b6c16 in Monitor::qt_metacall (this=0x96b1a98, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xae0270e8)
    at /home/gsking/programs/src/svn/kdenlive/kdenlive/build/src/cmake_bindir/monitor.moc:239
0000010 0xb747c8fb in QMetaCallEvent::placeMetaCall () from /usr/lib/libQtCore.so.4
0000011 0xb747e3a0 in QObject::event () from /usr/lib/libQtCore.so.4
0000012 0xb6a76440 in QWidget::event () from /usr/lib/libQtGui.so.4
0000013 0xb6a1fe9c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
0000014 0xb6a28282 in QApplication::notify () from /usr/lib/libQtGui.so.4
0000015 0xb7e2de8d in KApplication::notify () from /usr/lib/libkdeui.so.5
0000016 0xb746da3b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
0000017 0xb746e695 in QCoreApplicationPrivate::sendPostedEvents () from /usr/lib/libQtCore.so.4
0000018 0xb746e88d in QCoreApplication::sendPostedEvents () from /usr/lib/libQtCore.so.4
0000019 0xb74997ef in ?? () from /usr/lib/libQtCore.so.4
0000020 0xb5fdfb88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000021 0xb5fe30eb in ?? () from /usr/lib/libglib-2.0.so.0
0000022 0xb5fe3268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000023 0xb7499438 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
0000024 0xb6ac1365 in ?? () from /usr/lib/libQtGui.so.4
0000025 0xb746eb06 in QCoreApplication::processEvents () from /usr/lib/libQtCore.so.4
0000026 0x080e9ddb in TrackView::slotAddProjectTrack (this=0xba8ca90, ix=1, xml={<QDomNode> = {impl = 0xbfe22498}, <No data fields>}, locked=false)
    at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/trackview.cpp:476
0000027 0x080ef974 in TrackView::parseDocument (this=0xba8ca90, doc={<QDomNode> = {impl = 0xbfe2260c}, <No data fields>}) at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/trackview.cpp:232
0000028 0x080f3019 in TrackView (this=0xba8ca90, doc=0x9846e60, parent=0x8d70c20) at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/trackview.cpp:105
0000029 0x0807fc16 in MainWindow::doOpenFile (this=0x8d70c20, url=@0x96ad9c4, stale=0x0) at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/mainwindow.cpp:1446
0000030 0x08091c35 in MainWindow::openFile (this=0x8d70c20, url=@0x96ad9c4) at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/mainwindow.cpp:1430
0000031 0x0809c421 in MainWindow::qt_metacall (this=0x8d70c20, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfe228dc)
    at /home/gsking/programs/src/svn/kdenlive/kdenlive/build/src/cmake_bindir/mainwindow.moc:264
0000032 0xb7483ca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000033 0xb7484932 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000034 0xb7d51843 in KRecentFilesAction::urlSelected () from /usr/lib/libkdeui.so.5
0000035 0xb7d51c0d in ?? () from /usr/lib/libkdeui.so.5
0000036 0xb7d51d1c in KRecentFilesAction::qt_metacall () from /usr/lib/libkdeui.so.5
0000037 0xb7483ca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000038 0xb7484932 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000039 0xb7d555c3 in KSelectAction::triggered () from /usr/lib/libkdeui.so.5
0000040 0xb7d570a0 in KSelectAction::actionTriggered () from /usr/lib/libkdeui.so.5
0000041 0xb7d58374 in KSelectAction::qt_metacall () from /usr/lib/libkdeui.so.5
0000042 0xb7d51cca in KRecentFilesAction::qt_metacall () from /usr/lib/libkdeui.so.5
0000043 0xb7483ca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000044 0xb7484932 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000045 0xb6a1e5d3 in QActionGroup::triggered () from /usr/lib/libQtGui.so.4
0000046 0xb6a1ee58 in ?? () from /usr/lib/libQtGui.so.4
0000047 0xb6a1f06e in QActionGroup::qt_metacall () from /usr/lib/libQtGui.so.4
0000048 0xb7483ca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000049 0xb74840e0 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000050 0xb6a19891 in QAction::triggered () from /usr/lib/libQtGui.so.4
0000051 0xb6a1ae0f in QAction::activate () from /usr/lib/libQtGui.so.4
0000052 0xb6e9501c in ?? () from /usr/lib/libQtGui.so.4
0000053 0xb6e9b76b in ?? () from /usr/lib/libQtGui.so.4
0000054 0xb6e9c242 in QMenu::mouseReleaseEvent () from /usr/lib/libQtGui.so.4
0000055 0xb7f16555 in KMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.5
0000056 0xb6a76b43 in QWidget::event () from /usr/lib/libQtGui.so.4
0000057 0xb6e9e629 in QMenu::event () from /usr/lib/libQtGui.so.4
#58 0xb6a1fe9c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
0000059 0xb6a28b11 in QApplication::notify () from /usr/lib/libQtGui.so.4
0000060 0xb7e2de8d in KApplication::notify () from /usr/lib/libkdeui.so.5
0000061 0xb746da3b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
0000062 0xb6a27b7e in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
0000063 0xb6a97c06 in ?? () from /usr/lib/libQtGui.so.4
0000064 0xb6a96ca7 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000065 0xb6ac1c6a in ?? () from /usr/lib/libQtGui.so.4
0000066 0xb5fdfb88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000067 0xb5fe30eb in ?? () from /usr/lib/libglib-2.0.so.0
0000068 0xb5fe3268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000069 0xb7499438 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
0000070 0xb6ac1365 in ?? () from /usr/lib/libQtGui.so.4
0000071 0xb746c06a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000072 0xb746c4aa in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000073 0xb746e959 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
0000074 0xb6a1fd17 in QApplication::exec () from /usr/lib/libQtGui.so.4
0000075 0x0807cd25 in main (argc=1, argv=0xbfe23f24) at /home/gsking/programs/src/svn/kdenlive/kdenlive/src/main.cpp:89

Report to http://kdenlive.org/mantis [^]
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0003386)
gsking1 (reporter)
2009-06-23 03:44

Opened and closed several projects today with no crashes. It's definitely not "always". Maybe "sometimes".?
(0003461)
administrator (administrator)
2009-06-25 17:31

I recently fix a possible crash cause on document opening, so I will close this issue in the next days if no other crash is reported
(0003493)
gsking1 (reporter)
2009-06-27 03:05

I think this can be marked resolved. Have not had a crash opening a document in the last 2 days.

- Issue History
Date Modified Username Field Change
2009-06-22 03:46 gsking1 New Issue
2009-06-22 03:46 gsking1 Build/Install Method => Manual build from SVN
2009-06-23 03:44 gsking1 Note Added: 0003386
2009-06-25 17:31 administrator Note Added: 0003461
2009-06-25 17:31 administrator Status new => feedback
2009-06-27 03:05 gsking1 Note Added: 0003493
2009-07-01 19:20 j-b-m Status feedback => resolved
2009-07-01 19:20 j-b-m Resolution open => fixed
2009-07-01 19:20 j-b-m Fixed in Version => Recent git
2009-07-01 19:20 j-b-m Target Version => 0.7.5
2009-07-01 20:02 j-b-m Fixed in Version Recent git => 0.7.5
2009-07-01 21:57 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker